Subject: Looking for RFC layer 3 on layer 2

From: Robert <[email-masked]>
Date: Sun, 25 Feb 2018 12:33:33 -0500

I am thinking about how a protocol could be written to talk over ham radios and am unfamiliar with transmissions supporting a network. I am working on ReedSolomon encoding to provide forward error correction to transmissions. I am looking to learn more.

Thank you,
Robert

Sent from ProtonMail Mobile

---

From: Charlie Perkins <[email-masked]>
Date: Sun, 25 Feb 2018 10:46:29 -0800

Hello Robert,

That's a truly huge subject.

For starters, you could look at RFC 3819 and RFC 3150.

Regards,
Charlie P.

On 2/25/2018 9:33 AM, Robert wrote:
> I am thinking about how a protocol could be written to talk over ham 
> radios and am unfamiliar with transmissions supporting a network. I am 
> working on ReedSolomon encoding to provide forward error correction to 
> transmissions. I am looking to learn more.
>
> Thank you,
> Robert
>

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 25 Feb 2018 19:27:04 +0000

Hiya,

On 25/02/18 17:33, Robert wrote:
> radios and am unfamiliar with transmissions supporting a network. I
> am working on ReedSolomon encoding to provide forward error
> correction to transmissions. I am looking to learn more.

Some years ago, there was some work done on using DTN protocols
(e.g. RFC5050) over AX.25, by ham radio folks e.g. [1]. You could
ask on the DTN WG list [2] and I'd say you'll find folks who know
more.

Cheers,
S.

[1] http://theronans.com/j0n/?p=260
[2] https://tools.ietf.org/wg/dtn/charters

> Thank you, Robert

-- 
PGP key change time for me.
New-ID 7B172BEA; old-ID 805F8DA2 expires Jan 24 2018.
NewWithOld sigs in keyservers.
Sorry if that mucks something up;-)

---

From: Warren Kumari <[email-masked]>
Date: Sun, 25 Feb 2018 17:27:00 -0500

On Sun, Feb 25, 2018 at 12:33 PM, Robert <[email-masked]> wrote:
> I am thinking about how a protocol could be written to talk over ham radios
> and am unfamiliar with transmissions supporting a network. I am working on
> ReedSolomon encoding to provide forward error correction to transmissions. I
> am looking to learn more.

Yeah, as Charlie said, this is a large subject -- I suspect that
you'll be much better off looking at some of the existing packet radio
stuff, like:
http://wb8nut.com/digital/
http://hfradio.org.uk/html/digital_modes.html
http://www.hamuniverse.com/hfdigitalmodessoftware.html

https://www.amazon.com/Amateur-Packet-Protocol-Version-October/dp/0872590119/ref=sr_1_11?ie=UTF8&qid=1519597417&sr=8-11&keywords=ham+packet
(this is the book referred to by RFC1226, one of the shortest RFCs
ever :-))
https://www.amazon.com/dp/B01N9AZR2Y/ref=sspa_dk_detail_0?psc=1

and adapting it.

There is a small group of IETF hams, but it isn't very active.
W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Miles Fidelman <[email-masked]>
Date: Sun, 25 Feb 2018 18:58:54 -0500

> There is a small group of IETF hams, but it isn't very active.
You might want to start here - https://www.ampr.org  (All about Amateur 
Radio Digital Communications).  AMPRnet, net 44, is allocated to ham 
radio IP networking.  There's a wiki and discussion list that might be a 
good start.

You might also want to check out AX.25 - a data link layer used by the 
Amateur Radio community, and FX.25, which adds forward error correction. 
https://en.wikipedia.org/wiki/FX.25_Forward_Error_Correction

Another good reference: http://www.tapr.org/pr_links.html

Miles Fidelman

-- 
In theory, there is no difference between theory and practice.
In practice, there is.  .... Yogi Berra

---

From: henry <[email-masked]>
Date: Tue, 27 Feb 2018 06:07:18 -0500

Thanks for all the great links. I am reading parts of the RFCs and reading about the ham usages with AX.25/FX.25 and AMPRnet.org.

My confusion about how this all works is how do IP address get mapped into a broadcast radio graph and how each node processes data sent over the radio. I.E. given 10 transceivers transmitting and receiving on a given frequency band, how to construct a network of IPs for point-to-point channel communications?

I understand at this layer, I think...sort of... a path is used of shorter links to support destinations in different subnets.

I am very curious to learn how IPs do P2P on a radio network. Is routing involved? It must be with gateways. Anyways, any help to my understanding is most welcome.

Thank you,
Robert

On Sun, Feb 25, 2018 at 18:58, Miles Fidelman <[email-masked]> wrote:

>> On Sun, Feb 25, 2018 at 12:33 PM, Robert
>> [<[email-masked]>](mailto:[email-masked])
>> wrote:
>>
> You might want to start here - https://www.ampr.org  (All about Amateur Radio Digital Communications).  AMPRnet, net 44, is allocated to ham radio IP networking.  There's a wiki and discussion list that might be a good start.
>
> You might also want to check out AX.25 - a data link layer used by the Amateur Radio community, and FX.25, which adds forward error correction.  https://en.wikipedia.org/wiki/FX.25_Forward_Error_Correction
>

---

From: Robert <[email-masked]>
Date: Tue, 27 Feb 2018 06:26:20 -0500

Thank you,
Robert